Show / Hide Table of Contents

# Struct SDL.INTERNAL_GameControllerButtonBind_union

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public struct INTERNAL_GameControllerButtonBind_union

### Fields

| Improve this Doc View Source

#### axis

##### Declaration

    public int axis

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### button

##### Declaration

    public int button

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### hat

##### Declaration

    public SDL.INTERNAL_GameControllerButtonBind_hat hat

##### Field Value

Type | Description
--- | ---
SDL.INTERNAL_GameControllerButtonBind_hat |